%define anolis_release 1
%global pypi_name Babel
%global pypi_version 2.14.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Internationalization utilities

License:        BSD-3-Clause
URL:            https://babel.pocoo.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  (python3dist(freezegun) >= 1 with python3dist(freezegun) < 2)
BuildRequires:  python3dist(pytest) >= 6
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytz) >= 2015.7
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
A collection of tools for internationalizing Python applications.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytz) >= 2015.7
%description -n python3-%{pypi_name}
A collection of tools for internationalizing Python applications.

%package -n python-%{pypi_name}-doc
Summary:        Babel documentation
%description -n python-%{pypi_name}-doc
Documentation for Babel

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE docs/license.rst
%doc README.rst
%{_bindir}/pybabel
%{python3_sitelib}/babel
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/license.rst

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 2.14.0-1
- Initial package.